A base `LocationServices`

### Hierarchy

- BaseLocationServices
  - HashLocationService
  - MemoryLocationService
  - PushStateLocationService

### Implements

- LocationServices
- Disposable

## Index

### Constructors

- constructor

### Properties

- _history
- _listeners
- _location
- fireAfterUpdate

### Methods

- _get
- _listener
- _set
- dispose
- hash
- onChange
- path
- search
- url

## Constructors

- new BaseLocationServices(router: UIRouter, fireAfterUpdate: boolean): BaseLocationServices

- #### Parameters

  - ##### router UIRouter

  - ##### fireAfterUpdate boolean

  #### Returns BaseLocationServices

  - Defined in vanilla/baseLocationService.ts:18

## Properties

_history: HistoryLike

- Defined in vanilla/baseLocationService.ts:16

_listeners: Function[] = []

- Defined in vanilla/baseLocationService.ts:14

_location: LocationLike

- Defined in vanilla/baseLocationService.ts:15

fireAfterUpdate: boolean

- Defined in vanilla/baseLocationService.ts:20

## Methods

- _get(): string

- This should return the current internal URL representation.

- This should return the current internal URL representation.

  The internal URL includes only the portion that UI-Router matches. It does not include:

  - protocol
  - server
  - port
  - base href or hash

  #### Returns string

  - Defined in vanilla/baseLocationService.ts:35

- _listener(evt: any): void

- #### Parameters

  - ##### evt any

  #### Returns void

  - Defined in vanilla/baseLocationService.ts:18

- _set(state: any, title: string, url: string, replace: boolean): any

- This should set the current URL.

- This should set the current URL.

  The `url` param should include only the portion that UI-Router matches on. It should not include:

  - protocol
  - server
  - port
  - base href or hash

  However, after this function completes, the browser URL should reflect the entire (fully qualified) HREF including those data.

  #### Parameters

  - ##### state any

  - ##### title string

  - ##### url string

  - ##### replace boolean

  #### Returns any

  - Defined in vanilla/baseLocationService.ts:50

- dispose(router: UIRouter): void

- #### Parameters

  - ##### router UIRouter

  #### Returns void

  Implementation of Disposable.dispose

  - Defined in vanilla/baseLocationService.ts:73

- hash(): any

- #### Returns any

  Implementation of LocationServices.hash

  - Defined in vanilla/baseLocationService.ts:52

- onChange(cb: EventListener): (Anonymous function)

- #### Parameters

  - ##### cb EventListener

  #### Returns (Anonymous function)

  Implementation of LocationServices.onChange

  - Defined in vanilla/baseLocationService.ts:68

- path(): any

- #### Returns any

  Implementation of LocationServices.path

  - Defined in vanilla/baseLocationService.ts:53

- search(): any

- #### Returns any

  Implementation of LocationServices.search

  - Defined in vanilla/baseLocationService.ts:54

- url(url?: string, replace?: boolean): string

- #### Parameters

  - ##### url: Optional string

  - ##### replace: Default value boolean = true

  #### Returns string

  - Defined in vanilla/baseLocationService.ts:56

Generated using TypeDoc